org.appng.core.repository.config

## Class TomcatJdbcConfigurer

- java.lang.Object
- - org.appng.core.repository.config.TomcatJdbcConfigurer

- All Implemented Interfaces:
    DatasourceConfigurer

      public class TomcatJdbcConfigurer
      extends Object
      implements DatasourceConfigurer

  A `DatasourceConfigurer` based on the Tomcat JDBC Connection Pool.
  Author:
    Matthias Müller

- - ### Field Summary

    - ### Fields inherited from interface org.appng.core.repository.config.DatasourceConfigurer

      `DEFAULT_LIFE_TIME, DEFAULT_TIMEOUT, JMX_DOMAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TomcatJdbcConfigurer()`
    `TomcatJdbcConfigurer(DatabaseConnection connection)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(DatabaseConnection connection)` Configures the instance using the settings of the given `DatabaseConnection`.
    `void` | `destroy()` Destroys the instance.
    `DataSource` | `getDataSource()` Returns a `DataSource`
    `void` | `setLogPerformance(boolean logPerformance)` Whether or not JDBC performance logger should be used

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.appng.core.repository.config.DatasourceConfigurer

      `setAutoCommit, setConnectionTimeout, setMaxLifetime, setValidationTimeout`

- - ### Constructor Detail

    - #### TomcatJdbcConfigurer

          public TomcatJdbcConfigurer()

    - #### TomcatJdbcConfigurer

          public TomcatJdbcConfigurer(DatabaseConnection connection)

  - ### Method Detail

    - #### configure

          public void configure(DatabaseConnection connection)

      Description copied from interface: `DatasourceConfigurer`
      Configures the instance using the settings of the given `DatabaseConnection`.
      Specified by:
        `configure` in interface `DatasourceConfigurer`
      Parameters:
        `connection` - a `DatabaseConnection`

    - #### destroy

          public void destroy()

      Description copied from interface: `DatasourceConfigurer`
      Destroys the instance.
      Specified by:
        `destroy` in interface `DatasourceConfigurer`

    - #### getDataSource

          public DataSource getDataSource()

      Description copied from interface: `DatasourceConfigurer`
      Returns a `DataSource`
      Specified by:
        `getDataSource` in interface `DatasourceConfigurer`
      Returns:
        the `DataSource`

    - #### setLogPerformance

          public void setLogPerformance(boolean logPerformance)

      Description copied from interface: `DatasourceConfigurer`
      Whether or not JDBC performance logger should be used
      Specified by:
        `setLogPerformance` in interface `DatasourceConfigurer`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.